%define pkgname   adobe-source-code-pro-fonts
%define fontname  adobe-source-code-pro
%define fontconf  61-%{fontname}.conf
%define catalogue %{_sysconfdir}/X11/fontpath.d
%define _fontdir  %{_datadir}/fonts/OTF/%{fontname}

%define version_roman  2.030
%define version_italic 1.050

Name:           fonts-otf-%{fontname}
Version:        %{version_roman}.%{version_italic}
Release:        %mkrel 3
Summary:        A set of mono-spaced OpenType fonts designed for coding environments
Group:          System/Fonts/True type
License:        OFL
URL:            https://github.com/adobe-fonts/source-code-pro
Source0:        https://github.com/adobe-fonts/source-code-pro/archive/%{version_roman}R-ro%2f%{version_italic}R-it.tar.gz#/SourceCodePro-%{version_roman}R-ro-%{version_italic}R-it.tar.gz
Source1:        %{pkgname}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontconfig
BuildRequires:  mkfontscale
BuildRequires:  fontpackages-devel

Provides:       %{pkgname} = %{version}-%{release}

%description
This font was designed by Paul D. Hunt as a companion to Source Sans. It has
the same weight range as the corresponding Source Sans design.  It supports
a wide range of languages using the Latin script, and includes all the
characters in the Adobe Latin 4 glyph set.


%prep
%setup -n %{pkgname}-%{version} -qn source-code-pro-%{version_roman}R-ro-%{version_italic}R-it

sed -i 's/\r//' LICENSE.txt
chmod 644 LICENSE.txt

%build

%install
# fonts .otf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p OTF/*.otf %{buildroot}%{_fontdir}

# catalogue
install -m 0755 -d %{buildroot}%{catalogue}
ln -s %{_fontdir} %{buildroot}%{catalogue}/otf-%{fontname}:pri=50

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
                   %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
                    %{buildroot}%{_metainfodir}/%{fontname}.metainfo.xml

# fonts.{dir,scale}
mkfontscale %{buildroot}%{_fontdir}
mkfontdir %{buildroot}%{_fontdir}

%files
%doc README.md
%license LICENSE.txt
%{_fontconfig_templatedir}/%{fontconf}
%config(noreplace) %{_fontconfig_confdir}/%{fontconf}
%{_sysconfdir}/X11/fontpath.d/otf-%{fontname}:pri=50
%dir %{_datadir}/fonts/OTF/%{fontname}
%{_datadir}/fonts/OTF/%{fontname}/*.otf
%verify(not mtime) %{_datadir}/fonts/OTF/%{fontname}/fonts.dir
%{_datadir}/fonts/OTF/%{fontname}/fonts.scale
%{_metainfodir}/%{fontname}.metainfo.xml


%changelog
* Wed Mar 30 2022 umeabot <umeabot> 2.030.1.050-3.mga9
+ Revision: 1834006
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 2.030.1.050-2.mga8
+ Revision: 1523975
- Mageia 8 Mass Rebuild

* Mon Mar 18 2019 daviddavid <daviddavid> 2.030.1.050-1.mga7
+ Revision: 1378496
- initial package fonts-otf-adobe-source-code-pro

